/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id : $ 
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.bc.xquare;

/**
 * XQuare SU extensions Constants.
 *  
 * @author Marc Dutoo - Open Wide
 * @author Guillaume Decarnin - Open Wide
 * @author Roland NAUDIN - EBM Websourcing
 *
 */
public interface XQuareConstants {
    
    static final String XQUARE_JNDI_DATASOURCE = "xquare.jndi.datasource.name";

    static final String XQUARE_DATABASE_DRIVER = "driver";

    static final String XQUARE_DATABASE_URL = "url";

    static final String XQUARE_DATABASE_USER = "user";

    static final String XQUARE_DATABASE_PASSWORD = "password";

    static final String XQUARE_DATABASE_MAPPING = "mapping";

    static final String XQUARE_STORED_QUERY_ID = "storedQuery";
    
    static final String XQUARE_XML_STATEMENT_BASE_URI = "queryBaseURI";

    static final String XQUARE_DATABASE_MAXACTIVE = "maxActive";

    static final String XQUARE_DATABASE_MAXIDLE = "maxIdle";

    static final String XQUARE_DATABASE_MINIDLE = "minIdle";

    static final String XQUARE_DATABASE_MAXWAIT = "maxWait";

    static final String XQUARE_DATABASE_TIMEBTWEVICTION = "timeBetweenEvictionRunsMillis";
    

    // TODO the following constants are not used, or used with Consumes not implemented
    static final String XQUARE_VERIFY_TARGETED_SERVICE = "xquare.verifyTargetedService";
    
    static final String XQUARE_STORED_QUERY_STATEMENT = "xquare.storedQuery.statement";
    
    static final String XQUARE_DATALISTENER_DELIMITER_STRATEGY = "xquare.dataListener.delimiterStrategy";

    static final String XQUARE_DATALISTENER_INITIAL_DELIMITER = "xquare.dataListener.initialDelimiter";
    
    static final String XQUARE_DATALISTENER_PREVIOUS_DELIMITER = "xquare.dataListener.previousDelimiter";

    static final String XQUARE_DATALISTENER_CURRENT_DELIMITER = "xquare.dataListener.currentDelimiter";

    static final String XQUARE_PREVIOUS_DATA_DELIMITER_TOKEN = "##PREVIOUS_DATA_DELIMITER##";

    static final String XQUARE_CURRENT_DATA_DELIMITER_TOKEN = "##CURRENT_DATA_DELIMITER##";
    
    static final String XQUARE_DATALISTENER_XQUERY = "xquare.dataListener.xquery";

    static final String XQUARE_DATALISTENER_UPDATE_DELIMITERS = "xquare.dataListener.updateDelimiters";

    static final String XQUARE_DATALISTENER_DELIMITER_FOLDER = "xquare.dataListener.delimiterFolder";

    static final String XQUARE_DATALISTENER_DELIMITER_FILENAME = "xquare.dataListener.delimiterFilename";

    static final String XQUARE_DATALISTENER_POLLING_PERIOD = "xquare.dataListener.polling.period";
    
    static final String XQUARE_DELIMITER_KEY = "delimiter";
    
    static final long XQUARE_DATALISTENER_POLLING_PERIOD_DEFAULT = 1000L;
    
    static final String SQLXML_NAMESPACE_URI = "http://petals.ow2.org/components/xquare";

    static final String SQLXML_RESULTS_TAG = "results";

}
